%define upstream_name    Type-Tiny
%define upstream_version 2.004000

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Reply::Plugin\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Exception for Type::Params
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Type/%{upstream_name}-%{upstream_version}.tar.gz

# (tv) Type::Tie is now bundled (previously in a separate distribution)
Conflicts: perl-Type-Tie

BuildRequires: perl(Exporter::Tiny) >= 1.6.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildArch:  noarch

%description
the Type::Tiny manpage is a tiny class for creating Moose-like type
constraint objects which are compatible with Moo, Moose and Mouse.

Maybe now we won't need to have separate MooseX, MouseX and MooX versions
of everything? We can but hope...

This documents the internals of the Type::Tiny manpage. the
Type::Tiny::Manual manpage is a better starting place if you're new.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING COPYRIGHT CREDITS Changes INSTALL LICENSE META.json META.yml MYMETA.yml NEWS README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Aug 29 2023 tv <tv> 2.4.0-1.mga10
+ Revision: 1980960
- update to 2.004000

* Fri Feb 03 2023 tv <tv> 2.2.1-1.mga9
+ Revision: 1937943
- update to 2.002001

* Mon Jan 02 2023 tv <tv> 2.2.0-1.mga9
+ Revision: 1928828
- update to 2.002000

* Mon Oct 03 2022 tv <tv> 2.0.1-1.mga9
+ Revision: 1894308
- update to 2.000001

* Thu Sep 29 2022 tv <tv> 2.0.0-2.mga9
+ Revision: 1893153
- Explicitely conflicts with Type::Tie

* Wed Sep 28 2022 tv <tv> 2.0.0-1.mga9
+ Revision: 1893014
- update to 2.000000

* Mon Sep 05 2022 tv <tv> 1.16.10-1.mga9
+ Revision: 1884228
- update to 1.016010

* Tue Aug 16 2022 tv <tv> 1.16.8-1.mga9
+ Revision: 1878138
- update to 1.016008

* Fri Aug 05 2022 tv <tv> 1.16.7-1.mga9
+ Revision: 1875392
- update to 1.016007

* Tue Jul 26 2022 tv <tv> 1.16.6-1.mga9
+ Revision: 1872058
- update to 1.016006

* Thu Jul 21 2022 tv <tv> 1.16.2-1.mga9
+ Revision: 1869748
- update to 1.016002

* Sun Jul 17 2022 tv <tv> 1.16.0-1.mga9
+ Revision: 1869237
- update to 1.016000

* Thu Jun 30 2022 tv <tv> 1.14.0-1.mga9
+ Revision: 1866823
- update to 1.014000

* Fri Jun 10 2022 tv <tv> 1.12.5-1.mga9
+ Revision: 1863870
- update to 1.012005

* Mon Mar 21 2022 umeabot <umeabot> 1.12.4-2.mga9
+ Revision: 1814838
- Mageia 9 Mass Rebuild

* Mon Aug 02 2021 tv <tv> 1.12.4-1.mga9
+ Revision: 1738583
- update to 1.012004

* Tue May 18 2021 tv <tv> 1.12.3-1.mga9
+ Revision: 1725388
- update to 1.012003

* Tue May 04 2021 tv <tv> 1.12.2-1.mga9
+ Revision: 1721296
- update to 1.012002

* Fri Feb 26 2021 tv <tv> 1.12.1-1.mga9
+ Revision: 1692138
- update to 1.012001

* Thu Oct 29 2020 tv <tv> 1.12.0-1.mga8
+ Revision: 1640353
- update to 1.012000

* Sat Sep 05 2020 tv <tv> 1.10.6-1.mga8
+ Revision: 1622330
- update to 1.010006

* Fri Aug 28 2020 tv <tv> 1.10.5-1.mga8
+ Revision: 1619315
- update to 1.010005

* Wed Aug 19 2020 tv <tv> 1.10.4-1.mga8
+ Revision: 1615763
- update to 1.010004

* Mon Aug 10 2020 tv <tv> 1.10.3-1.mga8
+ Revision: 1612579
- update to 1.010003

* Sat May 02 2020 tv <tv> 1.10.2-1.mga8
+ Revision: 1577728
- update to 1.010002

* Tue Mar 17 2020 tv <tv> 1.10.1-1.mga8
+ Revision: 1557235
- update to 1.010001

* Sat Feb 22 2020 shlomif <shlomif> 1.10.0-1.mga8
+ Revision: 1549300
- update to 1.010000

* Thu Feb 20 2020 umeabot <umeabot> 1.8.5-2.mga8
+ Revision: 1546274
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 tv <tv> 1.8.5-1.mga8
+ Revision: 1486239
- update to 1.008005

* Fri Jan 31 2020 tv <tv> 1.8.4-1.mga8
+ Revision: 1485852
- update to 1.008004

* Tue Jan 14 2020 shlomif <shlomif> 1.8.3-1.mga8
+ Revision: 1477975
- update to 1.008003

* Sun Jan 12 2020 tv <tv> 1.8.2-1.mga8
+ Revision: 1477645
- update to 1.008002

* Sun Dec 29 2019 tv <tv> 1.8.1-1.mga8
+ Revision: 1474847
- update to 1.008001

* Wed Dec 11 2019 tv <tv> 1.8.0-1.mga8
+ Revision: 1465888
- update to 1.008000

* Wed Nov 13 2019 tv <tv> 1.6.0-1.mga8
+ Revision: 1459735
- update to 1.006000

* Wed Jan 09 2019 tv <tv> 1.4.4-1.mga7
+ Revision: 1353013
- update to 1.004004

* Thu Sep 20 2018 umeabot <umeabot> 1.4.2-2.mga7
+ Revision: 1287138
- Mageia 7 Mass Rebuild

* Wed Aug 01 2018 tv <tv> 1.4.2-1.mga7
+ Revision: 1246507
- update to 1.004002

* Wed Apr 18 2018 tv <tv> 1.2.2-1.mga7
+ Revision: 1219945
- update to 1.002002

* Sun Jul 23 2017 shlomif <shlomif> 1.2.1-1.mga7
+ Revision: 1129429
- New version

* Sun Jun 19 2016 pterjan <pterjan> 1.0.5-3.mga6
+ Revision: 1035429
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.0.5-2.mga6
+ Revision: 965770
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 1.0.5-1.mga6
+ Revision: 837092
- update to 1.000005

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-4.mga5
+ Revision: 745653
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 shlomif <shlomif> 1.0.4-3.mga5
+ Revision: 735448
- New line
- New excludes for rpm upgrade

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-2.mga5
+ Revision: 686754
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 1.0.4-1.mga5
+ Revision: 671372
- update to 1.000004

* Sun Aug 31 2014 sander85 <sander85> 1.0.3-1.mga5
+ Revision: 669859
- update to 1.000003

* Tue Aug 19 2014 sander85 <sander85> 1.0.2-1.mga5
+ Revision: 665445
- update to 1.000002

* Mon Aug 18 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 665111
- update to 1.000001

* Sat Aug 16 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 664341
- update to 1.000000

* Mon Jul 21 2014 sander85 <sander85> 0.46.0-1.mga5
+ Revision: 655038
- update to 0.046

* Wed Jun 04 2014 sander85 <sander85> 0.44.0-1.mga5
+ Revision: 633089
- update to 0.044

* Tue Apr 15 2014 jquelin <jquelin> 0.42.0-1.mga5
+ Revision: 614726
- update to 0.042

* Tue Mar 25 2014 jquelin <jquelin> 0.40.0-1.mga5
+ Revision: 608319
- update to 0.040

* Tue Feb 04 2014 shlomif <shlomif> 0.38.0-1.mga5
+ Revision: 581363
- update to 0.038

* Mon Oct 21 2013 umeabot <umeabot> 0.28.0-2.mga4
+ Revision: 537802
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.28.0-1.mga4
+ Revision: 487798
- update to 0.028

* Tue Sep 10 2013 shlomif <shlomif> 0.26.0-1.mga4
+ Revision: 477072
- update to 0.026

* Wed Aug 28 2013 sander85 <sander85> 0.24.0-1.mga4
+ Revision: 472717
- update to 0.024

* Tue Aug 06 2013 sander85 <sander85> 0.22.0-1.mga4
+ Revision: 464221
- update to 0.022

* Wed Jul 24 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 457594
- update to 0.020

* Mon Jul 22 2013 sander85 <sander85> 0.18.0-1.mga4
+ Revision: 457193
- update to 0.018

* Wed Jul 17 2013 shlomif <shlomif> 0.16.0-1.mga4
+ Revision: 455159
- update to 0.016

* Thu Jul 04 2013 shlomif <shlomif> 0.14.0-1.mga4
+ Revision: 450223
- update to 0.014

* Wed Jun 26 2013 jquelin <jquelin> 0.12.0-1.mga4
+ Revision: 446956
- update to 0.012

* Sat Jun 22 2013 shlomif <shlomif> 0.8.0-1.mga4
+ Revision: 445671
- update to 0.008

* Wed May 29 2013 shlomif <shlomif> 0.6.0-1.mga4
+ Revision: 432281
- imported package perl-Type-Tiny

